--- fe-misc.c.orig	Sun Jun 11 05:58:55 2000
+++ fe-misc.c	Thu Jun 22 15:09:14 2000
@@ -458,6 +458,14 @@
 		if (errno == ECONNRESET)
 			goto definitelyFailed;
 #endif
+
+/* On Linux systems we somehow get EPIPE when connection reset by peer */
+
+#ifdef EPIPE
+		if (errno == EPIPE)
+			goto definitelyFailed;
+#endif
+
 		printfPQExpBuffer(&conn->errorMessage,
 						"pqReadData() --  read() failed: errno=%d\n%s\n",
 						  errno, strerror(errno));
@@ -544,6 +552,14 @@
 		if (errno == ECONNRESET)
 			goto definitelyFailed;
 #endif
+
+/* On Linux systems we somehow get EPIPE when connection reset by peer */
+
+#ifdef EPIPE
+		if (errno == EPIPE)
+			goto definitelyFailed;
+#endif
+
 		printfPQExpBuffer(&conn->errorMessage,
 						"pqReadData() --  read() failed: errno=%d\n%s\n",
 						  errno, strerror(errno));
